<resources>

    <!--THEMES-->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>

        <item name="android:textColorPrimary">@color/primary_text</item>
        <item name="android:textColorSecondary">@color/secondary_text</item>

        <item name="popupMenuStyle">@style/PopupMenuTheme</item>
        <item name="textAppearanceLargePopupMenu">@style/TextTitle</item>

        <item name="android:windowBackground">@color/white</item>
        <item name="fontFamily">@font/roboto_regular</item>
    </style>

    <style name="AppTheme.Splash">
        <item name="android:windowBackground">@drawable/splash_background</item>
    </style>

    <style name="ToolbarTheme" parent="ThemeOverlay.AppCompat.Dark.ActionBar">
        <item name="colorAccent">@color/white</item>
        <item name="fontFamily">@font/roboto_medium</item>
    </style>

    <style name="PopupToolbarTheme" parent="ThemeOverlay.AppCompat.Light">
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:textColor">@color/primary_text</item>
    </style>

    <style name="PopupMenuTheme" parent="Widget.AppCompat.Light.PopupMenu">
        <item name="android:popupBackground">@color/white</item>
        <item name="android:dropDownHorizontalOffset">4dp</item>
        <item name="overlapAnchor">true</item>
    </style>

    <style name="ProgressDialogTheme" parent="ThemeOverlay.AppCompat.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
    </style>

    <!--STYLES-->
    <style name="Base.ToolbarStyle" parent="ThemeOverlay.AppCompat.Dark.ActionBar">
        <item name="android:background">@color/colorPrimary</item>
        <item name="android:theme">@style/ToolbarTheme</item>
        <item name="popupTheme">@style/PopupToolbarTheme</item>
    </style>

    <style name="ToolbarStyle" parent="Base.ToolbarStyle" />

    <style name="ToolbarWithTabsStyle" parent="Base.ToolbarStyle" />

    <style name="FloatingActionButtonStyle" parent="Widget.Design.FloatingActionButton">
        <item name="backgroundTint">?attr/colorPrimary</item>
    </style>

    <style name="TextHeadline" parent="TextAppearance.AppCompat.Headline">
        <item name="android:textColor">@color/primary_text</item>
        <item name="fontFamily">@font/roboto_medium</item>
    </style>

    <style name="TextTitle" parent="TextAppearance.AppCompat.Title">
        <item name="android:textColor">@color/primary_text</item>
        <item name="android:textSize">16sp</item>
        <item name="fontFamily">@font/roboto_medium</item>
    </style>

    <style name="TextBody" parent="TextAppearance.AppCompat.Body1">
        <item name="android:textColor">@color/secondary_text</item>
        <item name="android:textSize">14sp</item>
    </style>

    <style name="TextSubhead" parent="TextAppearance.AppCompat.Subhead">
        <item name="android:textColor">@color/subhead_text</item>
        <item name="android:textSize">16sp</item>
        <item name="fontFamily">@font/roboto_medium</item>
    </style>

    <style name="TextSubtitle" parent="TextAppearance.AppCompat.Subhead">
        <item name="android:textColor">@color/subhead_text</item>
        <item name="android:textSize">16sp</item>
        <item name="fontFamily">@font/roboto_regular</item>
    </style>

    <style name="TextCaption" parent="TextAppearance.AppCompat.Caption">
        <item name="android:textColor">@color/secondary_text</item>
        <item name="fontFamily">@font/roboto_regular</item>
    </style>
</resources>
